CVE-2006-0847
CVSS5.0
发布时间 :2006-02-21 21:02:00
修订时间 :2011-03-07 21:30:54
NMCOS    

[原文]Directory traversal vulnerability in the staticfilter component in CherryPy before 2.1.1 allows remote attackers to read arbitrary files via ".." sequences in unspecified vectors.


[CNNVD]CherryPy StaticFilter目录遍历漏洞(CNNVD-200602-322)

        CherryPy 2.1.1之前版本的staticfilter组件中存在目录遍历漏洞。远程攻击者可以借助未明向量中的".."序列读取任意文件。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cherrypy:cherrypy:2.0.0a1
cpe:/a:cherrypy:cherrypy:0.4
cpe:/a:cherrypy:cherrypy:0.6
cpe:/a:cherrypy:cherrypy:0.10_beta
cpe:/a:cherrypy:cherrypy:0.7
cpe:/a:cherrypy:cherrypy:0.8_beta
cpe:/a:cherrypy:cherrypy:2.1.0_beta
cpe:/a:cherrypy:cherrypy:0.8
cpe:/a:cherrypy:cherrypy:0.3
cpe:/a:cherrypy:cherrypy:2.0.0
cpe:/a:cherrypy:cherrypy:0.9
cpe:/a:cherrypy:cherrypy:0.2
cpe:/a:cherrypy:cherrypy:0.9_rc1
cpe:/a:cherrypy:cherrypy:0.10
cpe:/a:cherrypy:cherrypy:0.9_gamma
cpe:/a:cherrypy:cherrypy:0.1
cpe:/a:cherrypy:cherrypy:0.5
cpe:/a:cherrypy:cherrypy:2.1.0_rc1
cpe:/a:cherrypy:cherrypy:2.1.0_rc2
cpe:/a:cherrypy:cherrypy:0.10_rc1
cpe:/a:cherrypy:cherrypy:2.1.0
cpe:/a:cherrypy:cherrypy:0.9_beta

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0847
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0847
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-322
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/24809
(PATCH)  XF  cherrypy-staticfilter-directory-traversal(24809)
http://www.securityfocus.com/bid/16760
(PATCH)  BID  16760
http://groups.google.com/group/cherrypy-announce/browse_thread/thread/92b2972f774fe6df/2f63afc9433dc306#2f63afc9433dc306
(PATCH)  CONFIRM  http://groups.google.com/group/cherrypy-announce/browse_thread/thread/92b2972f774fe6df/2f63afc9433dc306#2f63afc9433dc306
http://www.vupen.com/english/advisories/2006/0677
(UNKNOWN)  VUPEN  ADV-2006-0677
http://sourceforge.net/project/shownotes.php?release_id=384316&group_id=56099
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=384316&group_id=56099
http://www.gentoo.org/security/en/glsa/glsa-200605-16.xml
(UNKNOWN)  GENTOO  GLSA-200605-16
http://www.cherrypy.org/
(UNKNOWN)  CONFIRM  http://www.cherrypy.org/
http://secunia.com/advisories/20344
(UNKNOWN)  SECUNIA  20344
http://secunia.com/advisories/18944
(UNKNOWN)  SECUNIA  18944

- 漏洞信息

CherryPy StaticFilter目录遍历漏洞
中危 路径遍历
2006-02-21 00:00:00 2006-02-22 00:00:00
远程  
        CherryPy 2.1.1之前版本的staticfilter组件中存在目录遍历漏洞。远程攻击者可以借助未明向量中的".."序列读取任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        CherryPy CherryPy 2.0
        CherryPy CherryPy-2.1.1.tar.gz
        http://prdownloads.sourceforge.net/cherrypy/CherryPy-2.1.1.tar.gz?download
        CherryPy CherryPy 2.1
        CherryPy CherryPy-2.1.1.tar.gz
        http://prdownloads.sourceforge.net/cherrypy/CherryPy-2.1.1.tar.gz?download

- 漏洞信息

23367
CherryPy staticfilter Traversal Arbitrary File Access
Input Manipulation
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-10 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.1.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

CherryPy StaticFilter Directory Traversal Vulnerability
Input Validation Error 16760
Yes No
2006-02-21 12:00:00 2006-05-30 10:17:00
Ivo van der Wijk is credited with the discovery of this vulnerability.

- 受影响的程序版本

Gentoo Linux
CherryPy CherryPy 2.1
CherryPy CherryPy 2.0
CherryPy CherryPy 2.1.1

- 不受影响的程序版本

CherryPy CherryPy 2.1.1

- 漏洞讨论

CherryPy is prone to a directory-traversal vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this vulnerability to retrieve arbitrary files from the vulnerable system in the context of the webserver process. Information obtained may aid in further attacks.

Versions prior to 2.1.1 are vulnerable.

- 漏洞利用

An exploit is not required.

- 解决方案

The vendor has released version 2.1.1 to address this issue.


CherryPy CherryPy 2.0

CherryPy CherryPy 2.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站